Bug 880894 - [RFE] Externalize Email Server configuration.
Summary: [RFE] Externalize Email Server configuration.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Deployment, Maintainability (Show other bugs)
(Show other bugs)
Version: 2.0
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.1
Assignee: Carlos Munoz
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-28 04:40 UTC by Carlos Munoz
Modified: 2013-02-26 04:06 UTC (History)
1 user (show)

Fixed In Version: 2.1-SNAPSHOT (20121206-1113)
Doc Type: Enhancement
Doc Text:
Feature: Zanata's email server for notifications and other messaging can now be configured in zanata.properties. Reason: Zanata instances always had to rely on a locally enabled email server with a very particular configuration in order to work. Result (if any): Zanata instances can now connect to any email server using several security configurations.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 04:06:11 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Munoz 2012-11-28 04:40:53 UTC
Currently the Zanata email server used for notifications is hard coded to localhost:25 and cannot be changed. Allow for the email server to be configured on a Zanata instance.

Comment 1 Carlos Munoz 2012-11-28 05:07:05 UTC
Externalized Zanata email server configuration to zanata.properties.

Defaults will still remain localhost:25, unauthenticated (same as previous releases).

The properties that are configurable in the properties file are:

zanata.smtp.host (String)
zanata.smtp.port (int)
zanata.smtp.username (String)
zanata.smtp.password (String)
zanata.smtp.tls (boolean)
zanata.smtp.ssl (boolean)

This should be enough for most, if not all, common smtp providers.

See:
https://github.com/zanata/zanata/commit/b089f217dc4fe6df1be15ef86939b52f87e0fcca

Comment 2 Ding-Yi Chen 2012-12-07 00:45:31 UTC
VERIFIED with Zanata version 2.1-SNAPSHOT (20121206-1113)


Note You need to log in before you can comment on or make changes to this bug.